Bug 473962 - Click on the new message icon in the taskbar does nothing if conversation is already open.
Click on the new message icon in the taskbar does nothing if conversation is ...
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-01 11:33 EST by markm
Modified: 2009-12-18 02:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 02:04:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description markm 2008-12-01 11:33:28 EST
Description of problem:

When I click on the new message icon in the taskbar, instead of bringing workspace with focused conversation window, it just brings a window title to the windows bar, so I need to do another click to actually be redirected to correct workspace.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start conversation in pidgin
2. Leave conversation window open on Workspace 2
3. Wait on Workspace 1 for a new message
4. When it arrives, click on the pidgin's new message icon to bring your conversation up.
Actual results:

does nothing but bringing a window title to the windows taskbar

Expected results:

switches to the correct workspace and brings conversation window to the front

Additional info:

I've got my system tray in the right top corner and my windows list on the bottom panel... so it's takes time and is quite odd, that I have to click on the pidgin's icon to bring window title then click title to switch to correct workspace...
Comment 1 Stu Tomlinson 2008-12-01 12:05:18 EST
This is caused by a change in metacity's behavior when acting on gtk_window_present(). This is the gnome bugzilla related to the change:
This is the Fedora patch I believe causes the change:
Here's some more discussion:

The same issue was brought up by Paul Wouters on fedora-devel list related to being unable to move the buddy list between workspaces:

I am not sure there is much we can (or should) do in Pidgin.
Comment 2 markm 2008-12-01 12:35:15 EST
My pidgin settings are not to popup any windows etc, just to show an icon, when new message arrives, so default metacity's behaviour is really annoying for me.

from the discussion at http://blogs.gnome.org/metacity/2008/10/20/by-these-presents/ I've figured out that current behaviour has been agreed by Fedora, so here is my report :)

someone suggested a tweak table for advanced users - it would be great, so I could set up pidgin to allow switching to correct workspace.

I've setup Firefox not to steal focus while opening links - as I don't like when it popups every time I click anything in my email, but for pidgin I would like to switch to correct workspace any time I click a “new message icon” in the system tray.
Comment 3 Bug Zapper 2009-11-18 04:36:57 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-12-18 02:04:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.